List accounts
GET/v1/accounts
Returns a paginated list of accounts. Use offset and limit to paginate through results. See List endpoints for more information about pagination.
Required scope: accounts:read
Rate limit category: Search
Query Parameters
limit: optional number
Maximum number of records to return. Defaults to 25, maximum 25.
minimum1
maximum25
offset: optional number
Number of records to skip for pagination. Defaults to 0.
minimum0
maximum9007199254740991
Returns
List accounts
curl https://api.lightfield.app/v1/accounts \
-H 'Lightfield-Version: 2026-03-01' \
-H "Authorization: Bearer $API_KEY"{
"data": [
{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
}
}
],
"object": "object",
"totalCount": 0
}Returns Examples
{
"data": [
{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
}
}
],
"object": "object",
"totalCount": 0
}